
#include "config.h"

#ifdef LOCK_LIBLOCKFILE

#include <lockfile.h>

#include "popd.h"

int liblockfile_lock(struct pop_session *session) {
	char	lockfile[MAX_POP_MBOXPATH];
	strcpy(lockfile,session->mboxname);
	strcat(lockfile,LOCK_EXTENSION);

	return((lockfile_create(lockfile, LOCK_RETRY) == L_SUCCESS) ? LOCK_SUCCESS : LOCK_FAILURE);		
}

void liblockfile_refresh(struct pop_session *session) {
	char	lockfile[MAX_POP_MBOXPATH];
	strcpy(lockfile,session->mboxname);
	strcat(lockfile,LOCK_EXTENSION);

	lockfile_touch(lockfile);
}

void liblockfile_unlock(struct pop_session *session) {
	char	lockfile[MAX_POP_MBOXPATH];
	strcpy(lockfile,session->mboxname);
	strcat(lockfile,LOCK_EXTENSION);

	lockfile_remove(lockfile);
}
#endif /* LOCK_LIBLOCKFILE */
